Subject: Re: [PATCH v2 00/10] send-email: various optimizations to speed up by >2x

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 May 2021 16:07:59 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Returning a flattened list is idiomatic in Perl, it means that a caller
> can do any of:
>
>     # I only care about the last value for a key, or only about
>     # existence checks
>     my %hash = func();
>
> Or:
>
>     # I want all key-values to iterate over
>     my @kv = func();
>
> Returning touples like this makes that less convenient for both, who'll
> need to do more work to unpack them.

Thanks---that was exactly what I was missing.  Following establshed
patterns is good.

So what remains is just the compatibility issues, I think.

Thanks for clarification.